Main Page | Directories | File List | File Members | Related Pages

# TestStatistic.c File Reference

`#include "party.h"`

Include dependency graph for TestStatistic.c:

Go to the source code of this file.

## Functions
void | C_standardize (const double *t, const double *mu, const double *Sigma, int pq, double tol, double *ans)
void | C_absstandardize (const double *t, const double *mu, const double *Sigma, int pq, double tol, double *ans)
double | C_maxabsTestStatistic (const double *t, const double *mu, const double *Sigma, int pq, double tol)
SEXP | R_maxabsTestStatistic (SEXP t, SEXP mu, SEXP Sigma, SEXP tol)
double | C_quadformTestStatistic (const double *t, const double *mu, const double *SigmaPlus, int pq)
SEXP | R_quadformTestStatistic (SEXP t, SEXP mu, SEXP SigmaPlus)

## Detailed Description

Test statistics for conditional inference

Author:
  Author
    hothorn

Date:
  Date
    2005-06-14 11:21:32 +0200 (Tue, 14 Jun 2005)

Definition in file TestStatistic.c.

## Function Documentation

void C_absstandardize | ( | const double * | t,
|  | const double * | mu,
|  | const double * | Sigma,
|  | int | pq,
|  | double | tol,
|  | double * | ans
| ) |

  | Absolute values of standardized statistics Parameters:
  | t | the vector of statistics
  | mu | expectations
  | Sigma | covariance matrix
  | pq | dimension of t
  | tol | tolerance for variances
  | ans | return value; a pointer to a REALSXP-vector of length pq
Definition at line 49 of file TestStatistic.c. References C_abs(), and C_standardize(). Referenced by C_maxabsTestStatistic(). Here is the call graph for this function:

double C_maxabsTestStatistic | ( | const double * | t,
|  | const double * | mu,
|  | const double * | Sigma,
|  | int | pq,
|  | double | tol
| ) |

  | Maximum absolute values of standardized statistics Parameters:
  | t | the vector of statistics
  | mu | expectations
  | Sigma | covariance matrix
  | pq | dimension of t
  | tol | tolerance for variances
Definition at line 66 of file TestStatistic.c. References C_absstandardize(), and C_max(). Referenced by C_TestStatistic(), and R_maxabsTestStatistic(). Here is the call graph for this function:

double C_quadformTestStatistic | ( | const double * | t,
|  | const double * | mu,
|  | const double * | SigmaPlus,
|  | int | pq
| ) |

  | Quadratic form t(t - mu) SigmaPlus (t - mu) Parameters:
  | t | the vector of statistics
  | mu | expectations
  | SigmaPlus | Moore-Penrose inverse
  | pq | dimension of t
Definition at line 110 of file TestStatistic.c. Referenced by C_TestStatistic(), and R_quadformTestStatistic().

void C_standardize | ( | const double * | t,
|  | const double * | mu,
|  | const double * | Sigma,
|  | int | pq,
|  | double | tol,
|  | double * | ans
| ) |

  | Standardizes a statistic t of length pq with mean mu and covariance Sigma for variances > tol Parameters:
  | t | the vector of statistics
  | mu | expectations
  | Sigma | covariance matrix
  | pq | dimension of t
  | tol | tolerance for variances
  | ans | return value; a pointer to a REALSXP-vector of length pq
Definition at line 23 of file TestStatistic.c. Referenced by C_absstandardize(), C_Node(), and R_splitcategorical().

SEXP R_maxabsTestStatistic | ( | SEXP | t,
|  | SEXP | mu,
|  | SEXP | Sigma,
|  | SEXP | tol
| ) |

  | R-interface to C_maxabsTestStatistic Parameters:
  | t | the vector of statistics
  | mu | expectations
  | Sigma | covariance matrix
  | tol | tolerance for variances
Definition at line 87 of file TestStatistic.c. References C_maxabsTestStatistic(). Here is the call graph for this function:

SEXP R_quadformTestStatistic | ( | SEXP | t,
|  | SEXP | mu,
|  | SEXP | SigmaPlus
| ) |

  | R-interface to C_quadformTestStatistic Parameters:
  | t | the vector of statistics
  | mu | expectations
  | SigmaPlus | Moore-Penrose inverse
Definition at line 140 of file TestStatistic.c. References C_quadformTestStatistic(). Here is the call graph for this function: